---
lang: en
title: 'API docs: context.binding._constructor_'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.binding._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [Binding](./context.binding.md) &gt; [(constructor)](./context.binding._constructor_.md)

## Binding._constructor_

Constructs a new instance of the `Binding` class

<b>Signature:</b>

```typescript
constructor(key: BindingAddress<T>, isLocked?: boolean);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  key | <code>BindingAddress&lt;T&gt;</code> |  |
|  isLocked | <code>boolean</code> |  |


